## Introduction

This repository contains the output data files for the experimental setup in [[1]](#1). In short, this experimental setup focuses on comparing six meta-modeling techniques with three noise levels on six benchmark continuous optimization problems with two robustness criteria. The aim of the study is to find a set of suitable meta-models to be used for robust optimization i.e., optimization under uncertainty/noise, by studying the properties of the said meta-models in an empirical fashion.

## Structure

1. The home repository is subdivided in two repos: Modeling Accuracy and Optimization.

2. Modeling accuracy provides the output data, i.e., results, concerning the accuracy/Relative Mean Absolute Error, of all the meta-models.
   This repo is further subdivided in six repos: Ackley 2D, Ackley 5D, Ackley 10D, Branin 2D, Rastrigin 10D, Sphere 5D, where each such repo    indicates the output files related to a specific optimization problem based on it's name. Within each such repo, e.g., Ackley 2D, there      are six csv files. These six files are: Composite_1.csv, Composite_2.csv, Composite_3.csv, Minimax_1.csv, Minimax_2.csv, Minimax_3.csv      referring to the output concerning three noise levels and two robustness criteria. To understand it better, please refer to Section II-IV    in [[1]](#1). 

3. Optimization is further subdivided in three repos: Noise Level 1, Noise Level 2 and Noise Level 3. Each such repo, e.g., Noise Level 1      etc., is further subdivided in  five repos: Ackley 2D, Ackley 5D, Ackley 10D, Branin 2D, Sphere 5D, where each such repo indicates the      output files related to a specific optimization problem based on it's name. Within each such repo, e.g., Ackley 2D, there is one csv file    indicating the best solution achieved by embedding each of the meta-models inside a benchmark optimizer "Sequential Least Square            Programming (SLSQP)". Note that the results concerning Rastrigin 10D are not available at the moment, but they can be reproduced by the      publicly available code. 

## Citation

If you do use this data, please cite [[1]](#1). 

## References:
<a id="1">[1]</a> 

Ullah, Sibghat, et al. "An Empirical Comparison of Meta-Modeling Techniques for Robust Design Optimization." 2019 IEEE Symposium Series on Computational Intelligence (SSCI). IEEE, 2019.
